Package com.io7m.waxmill.machines

# Class WXMDeviceHostBridge.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMDeviceHostBridge.Builder

Enclosing class:
  WXMDeviceHostBridge

    public static final class WXMDeviceHostBridge.Builder
    extends java.lang.Object

Builds instances of type `WXMDeviceHostBridge`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMDeviceHostBridge` | `build()` | Builds a new `WXMDeviceHostBridge`.
  `WXMDeviceHostBridge.Builder` | `from​(WXMDeviceType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
  `WXMDeviceHostBridge.Builder` | `from​(WXMDeviceType.WXMDeviceHostBridgeType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceHostBridgeType` instance.
  `WXMDeviceHostBridge.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMDeviceHostBridge.Builder` | `setDeviceSlot​(WXMDeviceSlot deviceSlot)` | Initializes the value for the `deviceSlot` attribute.
  `WXMDeviceHostBridge.Builder` | `setVendor​(WXMDeviceType.WXMDeviceHostBridgeType.Vendor vendor)` | Initializes the value for the `vendor` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMDeviceHostBridge.Builder from​(WXMDeviceType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMDeviceHostBridge.Builder from​(WXMDeviceType.WXMDeviceHostBridgeType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceHostBridgeType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceSlot

    public final WXMDeviceHostBridge.Builder setDeviceSlot​(WXMDeviceSlot deviceSlot)
    Initializes the value for the `deviceSlot` attribute.
    Parameters:
      `deviceSlot` - The value for deviceSlot
    Returns:
      `this` builder for use in a chained invocation

  - ### setVendor

    public final WXMDeviceHostBridge.Builder setVendor​(WXMDeviceType.WXMDeviceHostBridgeType.Vendor vendor)
    Initializes the value for the `vendor` attribute.
    Parameters:
      `vendor` - The value for vendor
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMDeviceHostBridge.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMDeviceHostBridge build()
    Builds a new `WXMDeviceHostBridge`.
    Returns:
      An immutable instance of WXMDeviceHostBridge
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing